package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 可靠性分支线对象 pdm_branch_line
 *
 * @author ruoyi
 * @date 2024-12-24
 */
public class PdmBranchLine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 馈线线段资源id  */
    @Excel(name = "馈线线段资源id ")
    private String bigFeederBranchLineId;

    /** 线路名称  */
    @Excel(name = "线路名称 ")
    private String lineNm;

    /** 设备编码  */
    @Excel(name = "设备编码 ")
    private String eqpNo;

    /** 运行编号  */
    @Excel(name = "运行编号 ")
    private String runNo;

    /** 所属馈线id  */
    @Excel(name = "所属馈线id ")
    private String blgBigFeederId;

    /** 所属馈线名称  */
    @Excel(name = "所属馈线名称 ")
    private String blgBigFeederNm;

    /** 电压等级代码  */
    @Excel(name = "电压等级代码 ")
    private String voltLvlCd;

    /** 电压等级描述  */
    @Excel(name = "电压等级描述 ")
    private String voltLvlDsc;

    /** 架设方式代码  */
    @Excel(name = "架设方式代码 ")
    private String erectModeCd;

    /** 架设方式描述  */
    @Excel(name = "架设方式描述 ")
    private String erectModeDsc;

    /** 架空线路长度（km)  */
    @Excel(name = "架空线路长度", readConverterExp = "架空线路长度（km) ")
    private BigDecimal overhdLineLen;

    /** 电缆线路长度（km）  */
    @Excel(name = "电缆线路长度", readConverterExp = "k=m")
    private BigDecimal cableLineLen;

    /** 线路总长度（km）  */
    @Excel(name = "线路总长度", readConverterExp = "k=m")
    private BigDecimal lineTolLen;

    /** 起始点设备id(pms2.0使用)  */
    @Excel(name = "起始点设备id(pms2.0使用) ")
    private String startEqpId;

    /** 起始点设备名称(pms2.0使用)  */
    @Excel(name = "起始点设备名称(pms2.0使用) ")
    private String startEqpNm;

    /** 起始点设备类型代码  */
    @Excel(name = "起始点设备类型代码 ")
    private String startEqpTypCd;

    /** 起始点设备类型描述  */
    @Excel(name = "起始点设备类型描述 ")
    private String startEqpTypDsc;

    /** 线路性质代码  */
    @Excel(name = "线路性质代码 ")
    private String lineNatureCd;

    /** 线路性质描述  */
    @Excel(name = "线路性质描述 ")
    private String lineNatureDsc;

    /** 所属上级线路id  */
    @Excel(name = "所属上级线路id ")
    private String blgSuperLineId;

    /** 所属上级线路名称  */
    @Excel(name = "所属上级线路名称 ")
    private String blgSuperLineNm;

    /** 所属地市id  */
    @Excel(name = "所属地市id ")
    private String blgCityId;

    /** 所属地市名称  */
    @Excel(name = "所属地市名称 ")
    private String blgCityNm;

    /** 运维单位id  */
    @Excel(name = "运维单位id ")
    private String opMaintOrgId;

    /** 运维单位名称  */
    @Excel(name = "运维单位名称 ")
    private String opMaintOrgNm;

    /** 维护班组id  */
    @Excel(name = "维护班组id ")
    private String maintTeamId;

    /** 维护班组名称  */
    @Excel(name = "维护班组名称 ")
    private String maintTeamNm;

    /** 运行状态代码  */
    @Excel(name = "运行状态代码 ")
    private String runStCd;

    /** 运行状态描述  */
    @Excel(name = "运行状态描述 ")
    private String runStDsc;

    /** 发布状态描述(pms2.0使用)  */
    @Excel(name = "发布状态描述(pms2.0使用) ")
    private String releaseStDsc;

    /** 代维线路长度（km）(pms2.0使用)  */
    @Excel(name = "代维线路长度", readConverterExp = "k=m")
    private BigDecimal repmaintLineLen;

    /** 是否有图形(pms2.0使用)  */
    @Excel(name = "是否有图形(pms2.0使用) ")
    private String isHaveFigur;

    /** 标准设备主人编码  */
    @Excel(name = "标准设备主人编码 ")
    private String stdEqpMasterId;

    /** 标准设备主人名称  */
    @Excel(name = "标准设备主人名称 ")
    private String stdEqpMasterNm;

    /** 投运日期  */
    @Excel(name = "投运日期 ")
    private String shipDt;

    /** 标准单位编码  */
    @Excel(name = "标准单位编码 ")
    private String stdOrgNo;

    /** 标准单位名称  */
    @Excel(name = "标准单位名称 ")
    private String stdOrgNm;

    /** 标准地市单位名称  */
    @Excel(name = "标准地市单位名称 ")
    private String stdCityOrgNm;

    /** 标准区县单位编码  */
    @Excel(name = "标准区县单位编码 ")
    private String stdCountyOrgNo;

    /** 标准区县单位名称  */
    @Excel(name = "标准区县单位名称 ")
    private String stdCountyOrgNm;

    /** 业务日期  */
    @Excel(name = "业务日期 ")
    private String dataDt;

    /** etl时间戳  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "etl时间戳 ", width = 30, dateFormat = "yyyy-MM-dd")
    private Date etlTm;

    /** 标准地市单位编码  */
    @Excel(name = "标准地市单位编码 ")
    private String stdCityOrgNo;

    /** 起点位置  */
    @Excel(name = "起点位置 ")
    private String startPos;

    /** 设备主人id  */
    @Excel(name = "设备主人id ")
    private String eqpMasterId;

    /** 设备主人名称  */
    @Excel(name = "设备主人名称 ")
    private String eqpMasterNm;

    /** 营配标识  */
    @Excel(name = "营配标识 ")
    private String battalionId;

    /** 营配名称  */
    @Excel(name = "营配名称 ")
    private String battalionNm;

    /** 退运日期  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "退运日期 ", width = 30, dateFormat = "yyyy-MM-dd")
    private Date retrogresDt;

    /** 创建时间  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间 ", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTm;

    /** 最新更新时间  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最新更新时间 ", width = 30, dateFormat = "yyyy-MM-dd")
    private Date latestUpdTm;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBigFeederBranchLineId(String bigFeederBranchLineId)
    {
        this.bigFeederBranchLineId = bigFeederBranchLineId;
    }

    public String getBigFeederBranchLineId()
    {
        return bigFeederBranchLineId;
    }
    public void setLineNm(String lineNm)
    {
        this.lineNm = lineNm;
    }

    public String getLineNm()
    {
        return lineNm;
    }
    public void setEqpNo(String eqpNo)
    {
        this.eqpNo = eqpNo;
    }

    public String getEqpNo()
    {
        return eqpNo;
    }
    public void setRunNo(String runNo)
    {
        this.runNo = runNo;
    }

    public String getRunNo()
    {
        return runNo;
    }
    public void setBlgBigFeederId(String blgBigFeederId)
    {
        this.blgBigFeederId = blgBigFeederId;
    }

    public String getBlgBigFeederId()
    {
        return blgBigFeederId;
    }
    public void setBlgBigFeederNm(String blgBigFeederNm)
    {
        this.blgBigFeederNm = blgBigFeederNm;
    }

    public String getBlgBigFeederNm()
    {
        return blgBigFeederNm;
    }
    public void setVoltLvlCd(String voltLvlCd)
    {
        this.voltLvlCd = voltLvlCd;
    }

    public String getVoltLvlCd()
    {
        return voltLvlCd;
    }
    public void setVoltLvlDsc(String voltLvlDsc)
    {
        this.voltLvlDsc = voltLvlDsc;
    }

    public String getVoltLvlDsc()
    {
        return voltLvlDsc;
    }
    public void setErectModeCd(String erectModeCd)
    {
        this.erectModeCd = erectModeCd;
    }

    public String getErectModeCd()
    {
        return erectModeCd;
    }
    public void setErectModeDsc(String erectModeDsc)
    {
        this.erectModeDsc = erectModeDsc;
    }

    public String getErectModeDsc()
    {
        return erectModeDsc;
    }
    public void setOverhdLineLen(BigDecimal overhdLineLen)
    {
        this.overhdLineLen = overhdLineLen;
    }

    public BigDecimal getOverhdLineLen()
    {
        return overhdLineLen;
    }
    public void setCableLineLen(BigDecimal cableLineLen)
    {
        this.cableLineLen = cableLineLen;
    }

    public BigDecimal getCableLineLen()
    {
        return cableLineLen;
    }
    public void setLineTolLen(BigDecimal lineTolLen)
    {
        this.lineTolLen = lineTolLen;
    }

    public BigDecimal getLineTolLen()
    {
        return lineTolLen;
    }
    public void setStartEqpId(String startEqpId)
    {
        this.startEqpId = startEqpId;
    }

    public String getStartEqpId()
    {
        return startEqpId;
    }
    public void setStartEqpNm(String startEqpNm)
    {
        this.startEqpNm = startEqpNm;
    }

    public String getStartEqpNm()
    {
        return startEqpNm;
    }
    public void setStartEqpTypCd(String startEqpTypCd)
    {
        this.startEqpTypCd = startEqpTypCd;
    }

    public String getStartEqpTypCd()
    {
        return startEqpTypCd;
    }
    public void setStartEqpTypDsc(String startEqpTypDsc)
    {
        this.startEqpTypDsc = startEqpTypDsc;
    }

    public String getStartEqpTypDsc()
    {
        return startEqpTypDsc;
    }
    public void setLineNatureCd(String lineNatureCd)
    {
        this.lineNatureCd = lineNatureCd;
    }

    public String getLineNatureCd()
    {
        return lineNatureCd;
    }
    public void setLineNatureDsc(String lineNatureDsc)
    {
        this.lineNatureDsc = lineNatureDsc;
    }

    public String getLineNatureDsc()
    {
        return lineNatureDsc;
    }
    public void setBlgSuperLineId(String blgSuperLineId)
    {
        this.blgSuperLineId = blgSuperLineId;
    }

    public String getBlgSuperLineId()
    {
        return blgSuperLineId;
    }
    public void setBlgSuperLineNm(String blgSuperLineNm)
    {
        this.blgSuperLineNm = blgSuperLineNm;
    }

    public String getBlgSuperLineNm()
    {
        return blgSuperLineNm;
    }
    public void setBlgCityId(String blgCityId)
    {
        this.blgCityId = blgCityId;
    }

    public String getBlgCityId()
    {
        return blgCityId;
    }
    public void setBlgCityNm(String blgCityNm)
    {
        this.blgCityNm = blgCityNm;
    }

    public String getBlgCityNm()
    {
        return blgCityNm;
    }
    public void setOpMaintOrgId(String opMaintOrgId)
    {
        this.opMaintOrgId = opMaintOrgId;
    }

    public String getOpMaintOrgId()
    {
        return opMaintOrgId;
    }
    public void setOpMaintOrgNm(String opMaintOrgNm)
    {
        this.opMaintOrgNm = opMaintOrgNm;
    }

    public String getOpMaintOrgNm()
    {
        return opMaintOrgNm;
    }
    public void setMaintTeamId(String maintTeamId)
    {
        this.maintTeamId = maintTeamId;
    }

    public String getMaintTeamId()
    {
        return maintTeamId;
    }
    public void setMaintTeamNm(String maintTeamNm)
    {
        this.maintTeamNm = maintTeamNm;
    }

    public String getMaintTeamNm()
    {
        return maintTeamNm;
    }
    public void setRunStCd(String runStCd)
    {
        this.runStCd = runStCd;
    }

    public String getRunStCd()
    {
        return runStCd;
    }
    public void setRunStDsc(String runStDsc)
    {
        this.runStDsc = runStDsc;
    }

    public String getRunStDsc()
    {
        return runStDsc;
    }
    public void setReleaseStDsc(String releaseStDsc)
    {
        this.releaseStDsc = releaseStDsc;
    }

    public String getReleaseStDsc()
    {
        return releaseStDsc;
    }
    public void setRepmaintLineLen(BigDecimal repmaintLineLen)
    {
        this.repmaintLineLen = repmaintLineLen;
    }

    public BigDecimal getRepmaintLineLen()
    {
        return repmaintLineLen;
    }
    public void setIsHaveFigur(String isHaveFigur)
    {
        this.isHaveFigur = isHaveFigur;
    }

    public String getIsHaveFigur()
    {
        return isHaveFigur;
    }
    public void setStdEqpMasterId(String stdEqpMasterId)
    {
        this.stdEqpMasterId = stdEqpMasterId;
    }

    public String getStdEqpMasterId()
    {
        return stdEqpMasterId;
    }
    public void setStdEqpMasterNm(String stdEqpMasterNm)
    {
        this.stdEqpMasterNm = stdEqpMasterNm;
    }

    public String getStdEqpMasterNm()
    {
        return stdEqpMasterNm;
    }
    public void setShipDt(String shipDt)
    {
        this.shipDt = shipDt;
    }

    public String getShipDt()
    {
        return shipDt;
    }
    public void setStdOrgNo(String stdOrgNo)
    {
        this.stdOrgNo = stdOrgNo;
    }

    public String getStdOrgNo()
    {
        return stdOrgNo;
    }
    public void setStdOrgNm(String stdOrgNm)
    {
        this.stdOrgNm = stdOrgNm;
    }

    public String getStdOrgNm()
    {
        return stdOrgNm;
    }
    public void setStdCityOrgNm(String stdCityOrgNm)
    {
        this.stdCityOrgNm = stdCityOrgNm;
    }

    public String getStdCityOrgNm()
    {
        return stdCityOrgNm;
    }
    public void setStdCountyOrgNo(String stdCountyOrgNo)
    {
        this.stdCountyOrgNo = stdCountyOrgNo;
    }

    public String getStdCountyOrgNo()
    {
        return stdCountyOrgNo;
    }
    public void setStdCountyOrgNm(String stdCountyOrgNm)
    {
        this.stdCountyOrgNm = stdCountyOrgNm;
    }

    public String getStdCountyOrgNm()
    {
        return stdCountyOrgNm;
    }
    public void setDataDt(String dataDt)
    {
        this.dataDt = dataDt;
    }

    public String getDataDt()
    {
        return dataDt;
    }
    public void setEtlTm(Date etlTm)
    {
        this.etlTm = etlTm;
    }

    public Date getEtlTm()
    {
        return etlTm;
    }
    public void setStdCityOrgNo(String stdCityOrgNo)
    {
        this.stdCityOrgNo = stdCityOrgNo;
    }

    public String getStdCityOrgNo()
    {
        return stdCityOrgNo;
    }
    public void setStartPos(String startPos)
    {
        this.startPos = startPos;
    }

    public String getStartPos()
    {
        return startPos;
    }
    public void setEqpMasterId(String eqpMasterId)
    {
        this.eqpMasterId = eqpMasterId;
    }

    public String getEqpMasterId()
    {
        return eqpMasterId;
    }
    public void setEqpMasterNm(String eqpMasterNm)
    {
        this.eqpMasterNm = eqpMasterNm;
    }

    public String getEqpMasterNm()
    {
        return eqpMasterNm;
    }
    public void setBattalionId(String battalionId)
    {
        this.battalionId = battalionId;
    }

    public String getBattalionId()
    {
        return battalionId;
    }
    public void setBattalionNm(String battalionNm)
    {
        this.battalionNm = battalionNm;
    }

    public String getBattalionNm()
    {
        return battalionNm;
    }
    public void setRetrogresDt(Date retrogresDt)
    {
        this.retrogresDt = retrogresDt;
    }

    public Date getRetrogresDt()
    {
        return retrogresDt;
    }
    public void setCreateTm(Date createTm)
    {
        this.createTm = createTm;
    }

    public Date getCreateTm()
    {
        return createTm;
    }
    public void setLatestUpdTm(Date latestUpdTm)
    {
        this.latestUpdTm = latestUpdTm;
    }

    public Date getLatestUpdTm()
    {
        return latestUpdTm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bigFeederBranchLineId", getBigFeederBranchLineId())
            .append("lineNm", getLineNm())
            .append("eqpNo", getEqpNo())
            .append("runNo", getRunNo())
            .append("blgBigFeederId", getBlgBigFeederId())
            .append("blgBigFeederNm", getBlgBigFeederNm())
            .append("voltLvlCd", getVoltLvlCd())
            .append("voltLvlDsc", getVoltLvlDsc())
            .append("erectModeCd", getErectModeCd())
            .append("erectModeDsc", getErectModeDsc())
            .append("overhdLineLen", getOverhdLineLen())
            .append("cableLineLen", getCableLineLen())
            .append("lineTolLen", getLineTolLen())
            .append("startEqpId", getStartEqpId())
            .append("startEqpNm", getStartEqpNm())
            .append("startEqpTypCd", getStartEqpTypCd())
            .append("startEqpTypDsc", getStartEqpTypDsc())
            .append("lineNatureCd", getLineNatureCd())
            .append("lineNatureDsc", getLineNatureDsc())
            .append("blgSuperLineId", getBlgSuperLineId())
            .append("blgSuperLineNm", getBlgSuperLineNm())
            .append("blgCityId", getBlgCityId())
            .append("blgCityNm", getBlgCityNm())
            .append("opMaintOrgId", getOpMaintOrgId())
            .append("opMaintOrgNm", getOpMaintOrgNm())
            .append("maintTeamId", getMaintTeamId())
            .append("maintTeamNm", getMaintTeamNm())
            .append("runStCd", getRunStCd())
            .append("runStDsc", getRunStDsc())
            .append("releaseStDsc", getReleaseStDsc())
            .append("repmaintLineLen", getRepmaintLineLen())
            .append("isHaveFigur", getIsHaveFigur())
            .append("stdEqpMasterId", getStdEqpMasterId())
            .append("stdEqpMasterNm", getStdEqpMasterNm())
            .append("shipDt", getShipDt())
            .append("stdOrgNo", getStdOrgNo())
            .append("stdOrgNm", getStdOrgNm())
            .append("stdCityOrgNm", getStdCityOrgNm())
            .append("stdCountyOrgNo", getStdCountyOrgNo())
            .append("stdCountyOrgNm", getStdCountyOrgNm())
            .append("dataDt", getDataDt())
            .append("etlTm", getEtlTm())
            .append("stdCityOrgNo", getStdCityOrgNo())
            .append("startPos", getStartPos())
            .append("eqpMasterId", getEqpMasterId())
            .append("eqpMasterNm", getEqpMasterNm())
            .append("battalionId", getBattalionId())
            .append("battalionNm", getBattalionNm())
            .append("retrogresDt", getRetrogresDt())
            .append("createTm", getCreateTm())
            .append("latestUpdTm", getLatestUpdTm())
            .toString();
    }
}
